## org.eclipse.amp.amf.testing.services
Class ATestGrammarAccess.ModelElements

    java.lang.Object
      org.eclipse.xtext.service.AbstractElementFinder
          org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder
              org.eclipse.amp.amf.testing.services.ATestGrammarAccess.ModelElements

All Implemented Interfaces:
  org.eclipse.xtext.IGrammarAccess.IAbstractRuleAccess, org.eclipse.xtext.IGrammarAccess.IParserRuleAccess

Enclosing class:
  ATestGrammarAccess

    public class ATestGrammarAccess.ModelElements

extends org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.xtext.service.AbstractElementFinder
`org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder`

Constructor Summary
`ATestGrammarAccess.ModelElements()`

Method Summary
`org.eclipse.xtext.Alternatives` `getAlternatives_2()`
`org.eclipse.xtext.Assignment` `getContainsAssignment_2_1_1()`
`org.eclipse.xtext.Keyword` `getContainsKeyword_2_1_0()`
`org.eclipse.xtext.RuleCall` `getContainsTestMemberParserRuleCall_2_1_1_0()`
`org.eclipse.xtext.Assignment` `getContraintsAssignment_2_0_1()`
`org.eclipse.xtext.RuleCall` `getContraintsConstraintParserRuleCall_2_0_1_0()`
`org.eclipse.xtext.Assignment` `getDescriptionAssignment_1()`
`org.eclipse.xtext.RuleCall` `getDescriptionDESC_STRINGTerminalRuleCall_1_0()`
`org.eclipse.xtext.Group` `getGroup_2_0_0()`
`org.eclipse.xtext.Group` `getGroup_2_0()`
`org.eclipse.xtext.Group` `getGroup_2_1()`
`org.eclipse.xtext.Group` `getGroup()`
`org.eclipse.xtext.Assignment` `getNameAssignment_0()`
`org.eclipse.xtext.RuleCall` `getNameSTRINGTerminalRuleCall_0_0()`
`org.eclipse.xtext.ParserRule` `getRule()`
`org.eclipse.xtext.Assignment` `getTestsAssignment_2_0_0_1()`
`org.eclipse.xtext.Keyword` `getTestsKeyword_2_0_0_0()`
`org.eclipse.xtext.RuleCall` `getTestsTestsParserRuleCall_2_0_0_1_0()`

Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder
`findAssignments, findCrossReferences, findCrossReferences, findKeywordPairs, findKeywords, findRuleCalls`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ATestGrammarAccess.ModelElements

    public ATestGrammarAccess.ModelElements()

Method Detail

### getRule

    public org.eclipse.xtext.ParserRule getRule()

### getGroup

    public org.eclipse.xtext.Group getGroup()

### getNameAssignment_0

    public org.eclipse.xtext.Assignment getNameAssignment_0()

### getNameSTRINGTerminalRuleCall_0_0

    public org.eclipse.xtext.RuleCall getNameSTRINGTerminalRuleCall_0_0()

### getDescriptionAssignment_1

    public org.eclipse.xtext.Assignment getDescriptionAssignment_1()

### getDescriptionDESC_STRINGTerminalRuleCall_1_0

    public org.eclipse.xtext.RuleCall getDescriptionDESC_STRINGTerminalRuleCall_1_0()

### getAlternatives_2

    public org.eclipse.xtext.Alternatives getAlternatives_2()

### getGroup_2_0

    public org.eclipse.xtext.Group getGroup_2_0()

### getGroup_2_0_0

    public org.eclipse.xtext.Group getGroup_2_0_0()

### getTestsKeyword_2_0_0_0

    public org.eclipse.xtext.Keyword getTestsKeyword_2_0_0_0()

### getTestsAssignment_2_0_0_1

    public org.eclipse.xtext.Assignment getTestsAssignment_2_0_0_1()

### getTestsTestsParserRuleCall_2_0_0_1_0

    public org.eclipse.xtext.RuleCall getTestsTestsParserRuleCall_2_0_0_1_0()

### getContraintsAssignment_2_0_1

    public org.eclipse.xtext.Assignment getContraintsAssignment_2_0_1()

### getContraintsConstraintParserRuleCall_2_0_1_0

    public org.eclipse.xtext.RuleCall getContraintsConstraintParserRuleCall_2_0_1_0()

### getGroup_2_1

    public org.eclipse.xtext.Group getGroup_2_1()

### getContainsKeyword_2_1_0

    public org.eclipse.xtext.Keyword getContainsKeyword_2_1_0()

### getContainsAssignment_2_1_1

    public org.eclipse.xtext.Assignment getContainsAssignment_2_1_1()

### getContainsTestMemberParserRuleCall_2_1_1_0

    public org.eclipse.xtext.RuleCall getContainsTestMemberParserRuleCall_2_1_1_0()